package x64

import "git.akyoto.dev/cli/q/src/build/cpu"

// AddRegNum8 adds a byte to the given register.
func AddRegNum8(code []byte, destination cpu.Register, number uint8) []byte {
	if destination >= 8 {
		code = append(code, REX(0, 0, 0, 1))
		destination -= 8
	}

	return append(
		code,
		0x83,
		ModRM(0b11, 0b000, byte(destination)),
		byte(number),
	)
}
